Skip to content

Create solution for project
GA

Request

Returns all solutions for a project.

Security
BasicAuth and BearerAuth and OAuth2Production
Path
projectIdstringrequired

The unique ID of the project. You can find this on the Sinch Dashboard.

Bodyapplication/jsonrequired

Solution data

detailsobject(WhatsappSolutionDetailsInputDto)required

Solution details and information.

accessTokenstringrequired

The accessToken received from the authResponse, returned when completing the embedded solution flow.

businessManagerstring(WhatsappInputBusinessManagersPublicDocumentation)required

Business manager.

Enum:"SINCH_BR""SINCH_MX""SINCH_UK"

Example body request to create a solution.

curl -i -X POST \
  -u '<username>:<password>' \
  'https://provisioning.api.sinch.com/v1/projects/{projectId}/whatsapp/solutions' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
  -H 'Content-Type: application/json' \
  -d '{
    "accessToken": "3cca3b57-e388-4aaa-abe3-ecb1c0c8265f",
    "businessManager": "SINCH_UK",
    "details": {
      "name": "Test name"
    }
  }'

Responses

Solutions

Bodyapplication/json
solutionsArray of objects(WhatsappSolutionDto)required

List of solutions.

failedSolutionsArray of objects(WhatsappFailedSolutionDto)required

List of failed solutions.

Response

Response when successfully creating a solution.

{ "solutions": [ { … }, { … }, { … } ], "failedSolutions": [] }
We'd love to hear from you!
Rate this content: